local DbOption 	= require('Options.DbOption')
local Name = DbOption.Item
local Range = DbOption.Range

return {
	--
	CreateStatics				= DbOption.new():setValue(true):checkbox():setEnforceable(),
	HiddenStatics				= DbOption.new():setValue(true):checkbox():setEnforceable(),
	MapObjectPersitence			= DbOption.new():setValue(false):checkbox():setEnforceable(),
	KeepGroupsRoutes			= DbOption.new():setValue(false):checkbox():setEnforceable(),
	AirUnitTracked				= DbOption.new():setValue(false):checkbox():setEnforceable(),
	TrackAddedGroups			= DbOption.new():setValue(true):checkbox():setEnforceable(),
	TrackAddedInfantry			= DbOption.new():setValue(true):checkbox():setEnforceable(),
	theMessageState				= DbOption.new():setValue(true):checkbox():setEnforceable(),
	RadioMenuVariable			= DbOption.new():setValue(true):checkbox():setEnforceable(),
	RadioMenuSingleGroup		= DbOption.new():setValue(false):checkbox():setEnforceable(),
	AutoSaveEnable				= DbOption.new():setValue(true):checkbox():setEnforceable(),
	AIEautoartillery			= DbOption.new():setValue(false):checkbox():setEnforceable(),	
	AIElogistic					= DbOption.new():setValue(false):checkbox():setEnforceable(),
	AIEsuppression				= DbOption.new():setValue(false):checkbox():setEnforceable(),
	timer_options				= DbOption.new():setValue(1):setEnforceable():radio({	Name('KeepContinousMix')	:Value(1),
																						Name('UpdateDate')			:Value(2):OnlyArch64(),
																					}),
	--]]--
}


	--UseFixedPath				= DbOption.new():setValue(false):checkbox():setEnforceable(),
	--
	--AIEvehicledamage			= DbOption.new():setValue(false):checkbox():setEnforceable(),
	--AIEinfantryCarrier			= DbOption.new():setValue(false):checkbox():setEnforceable(),
	--AIEbaseIADS					= DbOption.new():setValue(false):checkbox():setEnforceable(),
		--AIEinfantryCarrierPerc		= DbOption.new():setValue(50):slider(Range(0, 100)),